drop table file_tb;
create table file_tb (
 id bigint unsigned auto_increment primary key ,
 name varchar(128),
 ext varchar(32)
)type=MyISAM;

drop table image_tb;
create table image_tb (
 id bigint unsigned auto_increment primary key,
 name varchar(128),
 alt varchar(255),
 ext varchar(32)
)type=MyISAM;

drop table linktext_tb;
create table linktext_tb (
 id bigint unsigned auto_increment primary key,
 name varchar(128),
 url varchar(255)
)type=MyISAM;

drop table text_tb;
create table text_tb (
 id bigint unsigned auto_increment primary key,
 name varchar(128),
 detail varchar(255)
)type=MyISAM;

drop table master_tb;
create table master_tb (
 id bigint unsigned auto_increment primary key,
 name varchar(128),
 detail varchar(255)
)type=MyISAM;

drop table masterdata_tb;
create table masterdata_tb (
 id bigint unsigned auto_increment primary key,
 master_id bigint,
 name varchar(128),
 detail varchar(255)
)type=MyISAM;

drop table template_site_tb;
create table template_site_tb (
 id bigint unsigned auto_increment primary key,
 name varchar(128),
 detail varchar(255)
)type=MyISAM;

drop table template_page_tb;
create table template_page_tb (
 id bigint unsigned auto_increment primary key,
 name varchar(128),
 detail varchar(255),
 pageListNum bigint,
 pageListPageNum bigint,
 childrenListNum bigint,
 childrenListPageNum bigint,
 childrenTemplateSiteID bigint,
 childrenTemplatePageID bigint
)type=MyISAM;

drop table static_page_tb;
create table static_page_tb (
 id bigint unsigned auto_increment primary key,
 name varchar(128),
 detail varchar(255)
)type=MyISAM;

drop table page_tb;
create table page_tb (
 id bigint unsigned auto_increment primary key,
 parent_id bigint,
 template_site_id bigint,
 template_page_id bigint,
 name varchar(128),
 detail text,
 alias varchar(255),
 priority bigint,
 createdate datetime,
 editdate datetime
)type=MyISAM;

drop table log_tb;
create table log_tb (
 id bigint unsigned auto_increment primary key,
 parent_id bigint,
 page_id bigint,
 name varchar(128),
 detail varchar(255),
 editdate datetime
)type=MyISAM;

drop table schema_tb;
create table schema_tb (
 id bigint unsigned auto_increment primary key,
 template_page_id bigint,
 name varchar(128),
 variable varchar(128),
 type TINYINT,
 must TINYINT,
 arg TINYINT
)type=MyISAM;

drop table config_tb;
create table config_tb (
 id bigint unsigned auto_increment primary key,
 name varchar(255),
 detail varchar(255),
 rssnum BIGINT,
 app_path varchar(255),
 app_url varchar(255),
 manage_path varchar(255),
 manage_url varchar(255),
 pop3_server varchar(255),
 pop3_port bigint,
 pop3_account varchar(64),
 pop3_password varchar(64),
 pop3_revaddress varchar(255),
 pop3_sendaddress varchar(255)
)type=MyISAM;

insert into template_site_tb (id,name,detail) values (1,'トップページ','トップページのサイトテンプレートです。');
insert into template_page_tb (id,name,detail,pageListNum,pageListPageNum,childrenListNum,childrenListPageNum,childrenTemplateSiteID,childrenTemplatePageID) 
values (1,'トップページ','トップページのテンプレート',5,5,5,5,0,0);
insert into page_tb (id,parent_id,template_site_id,template_page_id,name,detail,priority,createdate) values (1,0,1,1,'トップページ','デフォルトページです。',1,now());