<?php
/*****************************************************************************
 * ID   : $Id: TextObject.php,v 1.2 2007/08/18 08:11:37 secondarykey Exp $
 * Name : Web公開用のテキストオブジェクト
 * Specifications :
 ****************************************************************************/

//マスタオブジェクト
$gTextObject     = null;
//再読み込みクラス
$gTextReloadFlag = true;

/**
 * Web公開用のテキストクラス
 */
class TextObject
{
	//データベース値	
	var $myTextArray = null;
	// コンストラクタ
	function TextObject() {
	}
	
	//インスタンスを取得	
	function getInstance() {
		
		global $gTextObject,$gTextReloadFlag;
		
		//生成されていない場合
		if ( $gTextObject == null ) {
			//生成する
			$gTextObject = new TextObject();
		}

		//読み込み指定がある場合	
		if ( $gTextReloadFlag == true ) {
			$gTextObject->reload();
		}
		return $gTextObject;
	}

	/**
	 * リロード設定に変更する
	 */	
	function setReload() {
		global $gTextReloadFlag;
		$gTextReloadFlag = true;
	}
	
	/**
	 * データ作成
	 */
	function reload() {
		//全件検索
		$text_tb = new text_tb;
		$textArray = $text_tb->select();
		
		$this->myTextArray = array();
		if ( $textArray == null ) {
			return;
		}
		//配列を準備	
		foreach ( $textArray as $elm ) {
			$id = $elm->getID();
			$this->myTextArray[$id] = $elm;
		}
	}	

	/**
	 * 画像タグ取得
	 */	
	function get($aID) {
		//オブジェクトを取得	
		$textObject = $this->myTextArray[$aID];
		//存在しない場合
		if ( $textObject == null ) {
			return "";
		}
		//タグを取得	
		return $textObject->getDetail();
	}

	/**
	 * 文字列をプレーンテキストに変換
	 */
	function changePlaneText($aData) {
		//HTML部分を変換
		$data = htmlspecialchars($aData);
		//改行を変換
		$wkdata = str_replace("\n","<br>",$data);
		//スペースを変換
		$wkdata = str_replace(" ","&emsp;",$wkdata);
		
		return $wkdata;
	}
}
?>